head	1.3;
access;
symbols
	RELEASE_8_3_0:1.3
	RELEASE_9_0_0:1.3
	RELEASE_7_4_0:1.3
	RELEASE_8_2_0:1.3
	RELEASE_6_EOL:1.3
	RELEASE_8_1_0:1.3
	RELEASE_7_3_0:1.3
	RELEASE_8_0_0:1.3
	RELEASE_7_2_0:1.3
	RELEASE_7_1_0:1.3
	RELEASE_6_4_0:1.3
	RELEASE_5_EOL:1.3
	RELEASE_7_0_0:1.3
	RELEASE_6_3_0:1.3
	PRE_XORG_7:1.3
	RELEASE_4_EOL:1.3
	RELEASE_6_2_0:1.3
	RELEASE_6_1_0:1.3
	RELEASE_5_5_0:1.3
	RELEASE_6_0_0:1.3
	RELEASE_5_4_0:1.3
	RELEASE_4_11_0:1.3
	RELEASE_5_3_0:1.3
	RELEASE_4_10_0:1.3
	RELEASE_5_2_1:1.3
	RELEASE_5_2_0:1.3
	RELEASE_4_9_0:1.3
	RELEASE_5_1_0:1.3
	RELEASE_4_8_0:1.3
	RELEASE_5_0_0:1.3
	RELEASE_4_7_0:1.3
	RELEASE_4_6_2:1.3
	RELEASE_4_6_1:1.3
	RELEASE_4_6_0:1.3
	RELEASE_5_0_DP1:1.3
	RELEASE_4_5_0:1.3
	RELEASE_4_4_0:1.3
	RELEASE_4_3_0:1.3
	RELEASE_4_2_0:1.2
	RELEASE_4_1_1:1.2
	RELEASE_4_1_0:1.2
	RELEASE_3_5_0:1.2
	RELEASE_4_0_0:1.2
	RELEASE_3_4_0:1.2
	RELEASE_3_3_0:1.2
	RELEASE_3_2_0:1.2
	RELEASE_3_1_0:1.2
	RELEASE_2_2_8:1.2
	RELEASE_3_0_0:1.2
	RELEASE_2_2_7:1.1.1.1
	RELEASE_2_2_6:1.1.1.1
	zh_pine_3_95:1.1.1.1
	WOJU:1.1.1;
locks; strict;
comment	@# @;


1.3
date	2000.11.17.19.06.54;	author keith;	state Exp;
branches;
next	1.2;

1.2
date	98.10.10.04.29.19;	author steve;	state Exp;
branches;
next	1.1;

1.1
date	97.12.01.19.47.21;	author vanilla;	state Exp;
branches
	1.1.1.1;
next	;

1.1.1.1
date	97.12.01.19.47.21;	author vanilla;	state Exp;
branches;
next	;


desc
@@


1.3
log
@Upgrade from 4.21 to 4.30.

Especially thanks to the maintainer, Tai-hwa Liang (avatar), for
ending those long lasting evil +400k files/patch-*. :-)

According to kkenn, pine4's security will exist until it's totally
rewritten, so I'll leave pkg-install untouched, which shows the
security warning.
PR:		ports/22436
@
text
@#! /bin/sh
# ---------- pgpdecode ---------
# 21.03.96 Roland Rosenfeld <roland@@spinnaker.rhein.de>
#
# Sun Mar 24 12:01:21 MET 1996 Andreas Klemm <andreas@@knobel.gun.de>
# The tmp files in the original version were world readable for
# the short time of unpacking, setting suitable umask prevents this
#
# Wed Sep 16 21:35:43 WST 1997 Anthony Di Pietro <anthony@@dino.omen.com.au>
# Modified to work with both PGP v2 and PGP v5.
# Now uses mktemp to prevent symlink attack and tmp races.

umask 077

MYNAME=`basename $0`

STDOUT=`mktemp -q /tmp/${MYNAME}.XXXXXX`
if [ $? -ne 0 ]
then
  echo "$0: Can't create temporary file to decode message."
  exit 1
fi

trap "rm -f $STDOUT ; exit" 0 1 2 15

STDERR=`mktemp -q /tmp/${MYNAME}.XXXXXX`
if [ $? -ne 0 ]
then
  echo "$0: Can't create temporary file to decode message."
  exit 1
fi

trap "rm -f $STDOUT $STDERR; exit" 0 1 2 15

if [ -x @@@@PREFIX@@@@/bin/pgpv ]
then
  pgpv 2>&1 > $STDOUT |tee $STDERR > /dev/tty
else
  pgp -f 2>&1 > $STDOUT |tee $STDERR > /dev/tty
fi

cat $STDERR | \
grep -v '^No files specified.  Using stdin.$' | \
grep -v '^Opening file \"stdout\" type text.$' | \
grep -v '^Opening file \"stdout\" type binary.$' | \
grep -v '^Opening file \"/dev/null\" type text.$' | \
grep -v '^Opening file \"/dev/null\" type binary.$' | \
grep -v '^$'| \
sed -e 's/^/| /'
echo ""
cat $STDOUT
@


1.2
log
@Update to version 4.05.

PR:		8025
Submitted by:	maintainer
@
text
@d35 1
a35 1
if [ -x /usr/local/bin/pgpv ]
@


1.1
log
@Initial revision
@
text
@d9 4
d14 38
a51 5
trap "rm -f /tmp/pgpdecode.???.$$; exit" 0 1 2 15
(pgp -f > /tmp/pgpdecode.txt.$$) 2>&1 | tee /tmp/pgpdecode.pgp.$$ 1>&2
sed -e 's/^/| /' /tmp/pgpdecode.pgp.$$
echo " "
cat /tmp/pgpdecode.txt.$$
@


1.1.1.1
log
@Fix chinese display/input problem in pine.
PR:		ports/5083
Submitted by:	Yen-Shuo Su <yssu@@CCCA.NCTU.edu.tw>
@
text
@@
